#include "NWT_MOTORS.h"
#include "..\_Module\XMC_2Go_NWT.h"
#include "..\_Driver\GPIO.h"

uint8_t rMotorDirection = FORWARD, rMotorSpeed = 100;
uint8_t lMotorDirection = BACKWARD, lMotorSpeed = 100;

void RMotor_init(void)
{
	RMotor_setMode(OUTPUT);
	RMotor_reset();
}

void RMotor_setDirection(uint8_t direction)
{
	rMotorDirection = direction;
}

void RMotor_setSpeed(uint8_t speed)
{
	rMotorSpeed = speed;
}

void RMotor_drive(void)
{	
	if(rMotorSpeed == 0)
		return;
	
	if(rMotorDirection == FORWARD)
	{
		RMotor_set();
		WAIT_uS(1500 - (500 * rMotorSpeed) / 100);
		RMotor_reset();
		WAIT_mS(3);
	}
	else if(rMotorDirection == BACKWARD)
	{
		RMotor_set();
		WAIT_uS(1500 + (500 * rMotorSpeed) / 100);
		RMotor_reset();
		WAIT_mS(3);
	}
}

void RMotor_brake(void)
{
	if(rMotorDirection == FORWARD)
	{
		RMotor_set();
		WAIT_uS(2000);
		RMotor_reset();
		WAIT_mS(3);
	}
	else if(rMotorDirection == BACKWARD)
	{
		RMotor_set();
		WAIT_uS(1000);
		RMotor_reset();
		WAIT_mS(3);
	}
}

void RMotor_coast(void)
{
	RMotor_reset();
}

void LMotor_init(void)
{
	LMotor_setMode(OUTPUT);
	LMotor_reset();
}

void LMotor_setDirection(uint8_t direction)
{
	lMotorDirection = direction;
}

void LMotor_setSpeed(uint8_t speed)
{
	lMotorSpeed = speed;
}

void LMotor_drive(void)
{
	if(lMotorSpeed == 0)
		return;
	
	if(lMotorDirection == FORWARD)
	{
		LMotor_set();
		WAIT_uS(1500 - (500 * lMotorSpeed) / 100);
		LMotor_reset();
		WAIT_mS(3);
	}
	else if(lMotorDirection == BACKWARD)
	{
		LMotor_set();
		WAIT_uS(1500 + (500 * lMotorSpeed) / 100);
		LMotor_reset();
		WAIT_mS(3);
	}
}

void LMotor_brake(void)
{
	if(lMotorDirection == FORWARD)
	{
		LMotor_set();
		WAIT_uS(2000);
		LMotor_reset();
		WAIT_mS(3);
	}
	else if(lMotorDirection == BACKWARD)
	{
		LMotor_set();
		WAIT_uS(1000);
		LMotor_reset();
		WAIT_mS(3);
	}
}

void LMotor_coast(void)
{
	LMotor_reset();
}
